Bug 1821753 - Cloud init custom script data seem not to get applied on the imported VM
Summary: Cloud init custom script data seem not to get applied on the imported VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Marek Libra
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1821024
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-07 14:16 UTC by Marek Libra
Modified: 2020-05-18 13:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1821024
Environment:
Last Closed: 2020-05-18 13:35:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4964 None closed Bug 1821753: Fix ssh_authorized_keys for cloud-init 2020-05-14 17:47:34 UTC
Red Hat Product Errata RHBA-2020:2133 None None None 2020-05-18 13:35:29 UTC

Comment 1 Marek Libra 2020-04-08 07:34:30 UTC
Patch: https://github.com/openshift/console/pull/4964

Comment 5 Ilanit Stein 2020-05-06 16:01:41 UTC
Verified on CNV-2.3 latest as of May 06 2020.

A RHEL-7 VM migrated and the SSH key name was passed correctly to the VM yaml:  ssh_authorized_keys:.
also after the migrated VM was powered ON, the  ‘Authenticated SSH Keys’ content was set in /home/cloud-user/.ssh/authorized_keys,
as expected.

Comment 8 errata-xmlrpc 2020-05-18 13:35:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2133


Note You need to log in before you can comment on or make changes to this bug.